Loading...
Searching...
No Matches
ARC_Spritesheet Struct Reference

`#include <spritesheet.h>`

## Data Fields

SDL_Texture * | texture
uint32_t * | size

## Detailed Description

Definition at line 7 of file spritesheet.h.

## Field Documentation

## size

uint32_t* ARC_Spritesheet::size

Definition at line 9 of file spritesheet.h.

Referenced by ARC_Sprite_Read(), ARC_Spritesheet_Delete(), and ARC_Spritesheet_GetTileSize().

## texture

SDL_Texture* ARC_Spritesheet::texture

Definition at line 8 of file spritesheet.h.

Referenced by ARC_Sprite_Render(), ARC_Sprite_RenderFlip(), ARC_Sprite_RenderRotated(), ARC_Spritesheet_Destroy(), ARC_Spritesheet_GetSize(), and ARC_Spritesheet_RenderArea().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/packages/graphics/sdl/spritesheet.h